curl --request POST \
--url https://api.lendflow.com/api/access_tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"abilities": [
"client:view"
],
"description": "Et animi quos velit et fugiat.",
"expires_at": "2052-11-01",
"rate_limits": null
}
'import requests
url = "https://api.lendflow.com/api/access_tokens"
payload = {
"name": "b",
"abilities": ["client:view"],
"description": "Et animi quos velit et fugiat.",
"expires_at": "2052-11-01",
"rate_limits": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'b',
abilities: ['client:view'],
description: 'Et animi quos velit et fugiat.',
expires_at: '2052-11-01',
rate_limits: null
})
};
fetch('https://api.lendflow.com/api/access_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"name": "Ms. Elisabeth Okuneva",
"description": "Et fugiat sunt nihil accusantium.",
"abilities": "ai-agent-session:view",
"last_used_at": null,
"revoked_at": null,
"expires_at": null,
"created_at": null,
"status": "active"
}
}Create Personal Access Token
Generates a new personal access token with the specified name, abilities (scopes), expiration time, and description. Returns the token resource with the plain text token that should be securely stored by the client (it will only be shown once).
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Body
Access token name. Must not be greater than 255 characters.
"b"
ai-agent-session:create, ai-agent-session:view, application:assign-role, application:create, application:delete, application:duplicate, application:enrich, application:manually-sign-application, application:move-stage, application:sign-application, application:update, application:view, application:view-any, attribute:create, attribute:delete, attribute:evaluate, attribute:update, attribute:update-values, attribute:view, attribute:view-any, application-note:create, application-note:view-any, client:create, client:update, client:upload-signed-document, client:view, client:view-any, comment:create, comment:view-any, comment:update, comment:delete, communication-log:create, communication-template:view, data-orchestration:run, data-orchestration:view-any, file:create, file:update, file:upload-contract, file:upload-file-of-type, file:upload-stip, file:view, funder:view, funder:view-any, metadata:view, metadata:view-any, metadata:create, metadata:update, metadata:delete, note:create, note:update, note:view-any, offer:confirm, offer:create, offer:delete, offer:duplicate, offer:update, offer:update-status, offer:view, offer:view-any, placement:create, placement:update-status, placement:view, placement:view-any, score-card-group:run, score-card-group:run-any, sms-conversation:view, tracking-token:create, tracking-token:delete, tracking-token:update, tracking-token:view-any, user:impersonate, workflow-snapshot:view, workflow-template:apply-to-application, workflow-template:view, workflow-template:view-any ["client:view"]
Access token description. Must not be greater than 1000 characters.
"Et animi quos velit et fugiat."
Access token expiration data. Must be a valid date. Must be a date after now.
"2052-11-01"
Optional array of rate limits for this token. Each rate limit must specify max_attempts (1-10,000), decay_minutes (1-1440), and scope (, , , , , , , , ). Use '*' for a wildcard that applies to all scopes. Example: [{'max_attempts': 100, 'decay_minutes': 1, 'scope': 'api'}].
Show child attributes
Show child attributes
null
Response
Show child attributes
Show child attributes
Was this page helpful?